package com.taauav.admin.entity;

import com.baomidou.mybatisplus.annotation.TableField;

import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 系统字典表
 * </p>
 *
 * @author dyg
 * @since 2019-11-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysDict extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    @NotEmpty(message = "名称不能为空")
    @TableField("`name`")
    @Length(min = 2, max = 50, message = "名称长度为2-50个字")
    private String name;

    /**
     * 标识名
     */
    @NotEmpty(message = "标识名不能为空")
    @Length(min = 2, max = 50, message = "标识名长度为2-50个字")
    private String nid;

    /**
     * 直接上级ID
     */
    private Integer pid;

    /**
     * 层级
     */
    private Integer level;

    /**
     * 有无子级：1有 2无
     */
    @NotNull(message = "请选择有无子类")
    @TableField("`has_child`")
    private Integer hasChild;

    /**
     * 分类ID
     */
    @NotNull(message = "请选择分类")
    @TableField("`type_id`")
    private Integer typeId;

    /**
     * 参数值
     */
    @TableField("`value`")
    @Length(max = 1000, message = "参数值长度不能超过1000字")
    private String value;

    /**
     * 备注
     */
    @Length(max = 200, message = "备注长度不能超过200字")
    private String remark;

    /**
     * 排序
     */
    @TableField("`sort`")
    private Integer sort;

}
