package com.taauav.admin.entity;

import java.io.Serializable;

import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;

/**
 * <p>
 * 职位表
 * </p>
 *
 * @author dyg
 * @since 2019-11-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysPosition extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 名称
     */
    @NotEmpty(message = "名称不能为空")
    @Length(min = 2, max = 10, message = "名称长度为2-10个字")
    private String name;

    /**
     * 职位级别
     */
    private Integer level;

    /**
     * 备注
     */
    @Length(max = 200, message = "备注不能超过200字")
    private String remark;

    /**
     * 排序
     */
    private Integer sort;

}
