package com.taauav.admin.service;

import com.taauav.common.bean.Response;
import com.taauav.admin.entity.LsAuthGroup;
import com.taauav.admin.query.LsAuthGroupQuery;
import com.taauav.common.service.IBaseService;

import java.util.List;

/**
 * <p>
 * 外部用户角色表 服务类
 * </p>
 *
 * @author dyg
 * @since 2020-04-01
 */
public interface ILsAuthGroupService extends IBaseService<LsAuthGroup> {

    /**
     * 获取角色列表
     *
     * @param query 查询条件
     * @return
     */
    Response getList(LsAuthGroupQuery query);

    /**
     * 添加角色
     *
     * @param entity 实体对象
     * @return
     */
    Response add(LsAuthGroup entity);

    /**
     * 获取角色详情
     *
     * @param id 角色ID
     * @return
     */
    Response info(Integer id);

    /**
     * 编辑角色
     *
     * @param entity 实体对象
     * @return
     */
    Response edit(LsAuthGroup entity);

    /**
     * 删除角色
     *
     * @param id 角色ID
     * @return
     */
    Response delete(Integer id);

    /**
     * 设置状态
     *
     * @param entity 实体对象
     * @return
     */
    Response setStatus(LsAuthGroup entity);

    /**
     * 获取角色列表
     *
     * @return
     */
    Response getAuthGroupList();

    /**
     * 获取外部角色
     *
     * @param authGroupIds
     * @return
     */
    String getAuthGroupName(String authGroupIds);

}
