package com.taauav.admin.service;

import com.taauav.admin.query.EquipmentQuery;
import com.taauav.common.bean.Response;
import com.taauav.admin.entity.TauvEquipment;
import com.taauav.common.service.IBaseService;

import java.util.Map;

/**
 * <p>
 * 设备管理表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-13
 */
public interface ITauvEquipmentService extends IBaseService<TauvEquipment> {
    /**
     * 获取飞行设备列表
     *
     * @param query 查询条件
     * @return
     */
    Response getPageList(EquipmentQuery query);

    /**
     * 修改设备
     *
     * @param equipment
     * @return
     */
    Response edit(TauvEquipment equipment);

    /**
     * 添加设备
     *
     * @param equipment
     * @return
     */
    Response add(TauvEquipment equipment);

    /**
     * 修改设备状态
     *
     * @param map
     * @return
     */
    Response setRules(Map<String, String> map);

    /**
     * 根据编号获取数据
     *
     * @param id
     * @return
     */
    TauvEquipment getInfoById(Integer id);

    /**
     * 基础数据
     *
     * @return
     */
    Map<String, Object> getBaseData();

    /**
     * 获取无人机列表
     *
     * @param query 查询条件
     * @return
     */
    Response getEquipmentList(EquipmentQuery query);
}
