package com.taauav.admin.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.taauav.admin.service.IMapService;
import com.taauav.common.util.FunctionUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>百度地图</p>
 *
 * @author : dyg
 * @date : 2019-12-17 13:51
 **/
@Service("baiduMap")
public class BaiduMapServiceImpl implements IMapService {

    private String ak = "8xXjllFqXW0KLGYfVSlgd5jC9qos5RTF";
    /**
     *根据gps坐标获取百度坐标
     * @param  gpsInfo longitude+","+latitude,百度（多组坐标以“；”分隔）
     * @return
     */
    @Override
    public List<Map<String, String>> getGpsList(String gpsInfo) {
        String baiduGps = "";
        List<Map<String,String>> list = new ArrayList<>();
        Map<String,String> map = new HashMap<>(2);
        try {
            baiduGps = geoconv(gpsInfo);

            JSONObject jsonObject = JSON.parseObject(baiduGps);

            String status = jsonObject.getString("status");
            if (status.equalsIgnoreCase("0")) {
                JSONArray jsonArray = jsonObject.getJSONArray("result");
                for (int i=0;i<jsonArray.size();i++) {
                    JSONObject object = jsonArray.getJSONObject(i);
                    String lon = object.getString("x");
                    String lat = object.getString("y");
                    map.put("lon", lon);
                    map.put("lat", lat);
                    list.add(map);
                }

            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return list;
    }
    /**
     * 根据坐标获取位置信息
     * @param longitude
     * @param latitude
     * @return
     */
    @Override
    public String getMapInfo(String longitude,String latitude)
    {
        String address= null;
        try {
            String url = "http://api.map.baidu.com/reverse_geocoding/v3/";
            String urlData = "ak="+ak+"&output=json&coordtype=bd09ll&location="+latitude+","+longitude;
            String locJson = FunctionUtils.getUrl(url,urlData);
            JSONObject jobject =  JSON.parseObject(locJson);
            String status = jobject.getString("status");
            if (status.equals("0")) {
                JSONObject resultObject = jobject.getJSONObject("result");
                address = resultObject.getString("formatted_address");
            }

            //address = jsonObject.getString("formatted_address");
        } catch (Exception e) {
            e.printStackTrace();
        }
        return address;
    }

    /**
     * GPS坐标转成百度坐标
     * @param gpsStr
     * @return
     * @throws Exception
     */
    @Override
    public String geoconv(String gpsStr){
        String locJson = null;
        try {
            locJson = FunctionUtils.getUrl("http://api.map.baidu.com/geoconv/v1/","coords="+gpsStr+"&from=1&to=5&ak="+ak);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return locJson;
    }
}
