package com.taauav.common.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.taauav.common.bean.Response;
import com.taauav.common.core.mps.Condition;
import com.taauav.common.core.mps.BaseQuery;
import com.taauav.common.domain.Entity;

import java.util.List;

/**
 * 基础服务类接口
 *
 * @param <T>
 * @author dyg
 */
public interface IBaseService<T> extends IService<T> {

    T getInfo(Integer id);

    T getInfoByField(String field, Object value);

    boolean addData(Entity entity);

    boolean editData(Entity entity);

    boolean deleteByIds(Integer[] ids, Entity entity);

    boolean deleteById(Integer id, Entity entity);

    default <E extends IPage<T>> E pageData(BaseQuery query, Entity entity) {
        QueryWrapper<T> queryWrapper = Condition.getQueryWrapperAndTime(entity);
        IPage page = Condition.getPage(query);
        return (E) page(page, queryWrapper);
    }

    default <E extends IPage<T>> E pageData(BaseQuery query, QueryWrapper<T> queryWrapper) {
        IPage page = Condition.getPage(query);
        return (E) page(page, queryWrapper);
    }
}
