package com.taauav.front.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 报告详情Vo
 */
@Data
public class LSReportInfoVo {

    /**
     * 报告ID
     */
    private Integer id;

    /**
     * 报告编号
     */
    private String reportNo;

    /**
     * 河流名称
     */
    private String driverName;

    /**
     * 巡检时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date inspectTime;

    /**
     * 巡检长度
     */
    private String inspectLength;

    /**
     * 群中满意度(校核分)
     */
    private Integer manyiCheckScore;

    /**
     * 群中满意度(校核分)
     */
    private Integer manyiExamineScore;

    /**
     * 知晓率得分(考核分)
     */
    private Integer awareExamineScore;

    /**
     * 知晓率得分(校核分)
     */
    private Integer awareCheckScore;

    /**
     * 考核总分
     */
    private Integer totalExamineScore;

    /**
     * 校核总分
     */
    private Integer totalCheckScore;

    /**
     * 状态：1待生成 2审核中 3审核通过 4审核驳回
     */
    private Integer status;

    /**
     * 状态描述
     */
    private String statusName;

    /**
     * 报告描述
     */
    private String description;

    /**
     * 区划ID
     */
    private BigInteger driverArea;

    /**
     * 区划描述
     */
    private String driverAreaName;

    /**
     * 河流起点
     */
    private String driverStart;

    /**
     * 河流终点
     */
    private String driverEnd;

    /**
     * 视频地址
     */
    private String videoUrl;

    /**
     * 图片地址
     */
    private String imageUrl;

    /**
     * 天气
     */
    private String weather;

    /**
     * 风速
     */
    private String wind;

    /**
     * 温度
     */
    private String temperature;

    /**
     * 飞行速度
     */
    private String flightSpeed;

    /**
     * 飞行高度
     */
    private String flightHeight;

    /**
     * 飞行时间
     */
    private String flightTime;

    /**
     * 报告问题
     */
    private List<LSReportQuestionListVo> questionList;

    /**
     * 报告描述列表
     */
    private List<Map<String, Object>> reportDescList;

    /**
     * 问题清单列表
     */
    private List<LSReportQuestionFileListVo> questionFileList;

}
